struct Pixel;
class Animal;

class World
{
public:
	World( int imagec, char** imagev );

	void Display(); //OpenGL display function
	void Resize( int w, int h ); //screen resize function

	void CycleDisplayBuffer();
	void Step();

	void Promote(); //promote back buffer to front

	Animal* pop; //ptr to highest-fitness animal

	char** image_v;
	int image_c;
	int image_i;

	int image_w, image_h;
	Pixel** image_p;

	int screen_w, screen_h;

	int world_l, world_r, world_t, world_b;

	char display_buffer;
};
